package space.nstart.pcp.pcp_types_lib.dto.ballistics

import com.fasterxml.jackson.annotation.JsonProperty
import jakarta.validation.constraints.NotEmpty
import space.nstart.pcp.pcp_types_lib.utils.UtcDateTimes
import java.time.LocalDateTime

class TleRvaRequestDTO(
    val tle : TLEDTO = TLEDTO(),

    @JsonProperty
    @field:NotEmpty(message = "Массив станций приема")
    val station: StationDTO = StationDTO(),

    val timeStart : LocalDateTime = UtcDateTimes.now(),

    val timeStop : LocalDateTime = UtcDateTimes.now()

) {
}